import { Injectable } from '@angular/core';

interface Notification {
  user: string;
  message: string;
}

@Injectable({
  providedIn: 'root'
})
export class NotificationService {

  constructor() {

  }

  notificationStack: Notification[] = [];

  newNotification(notification: Notification, timeout: number = 3000) {
    const index = this.notificationStack.push(notification);
    setTimeout(() => this.notificationStack.splice(index - 1, 1), timeout);
  }

}
